import Util;

private var START_SPEED = 3.0;
private var vel:Vector3;

function Start () {
	vel.x = RandZeroCenter(START_SPEED);
	vel.y = (0.3 + Random.value) * START_SPEED;
	vel.z = RandZeroCenter(START_SPEED);
	while (transform.localScale.sqrMagnitude > 0.001) {
		transform.position += vel * Time.deltaTime;
		vel.y -= 5.0 * Time.deltaTime;
		if (transform.position.y < 0) {
			transform.position.y = 0;
			vel.y *= -0.9;
		}
		transform.localScale *= (1 - 1.0 * Time.deltaTime);
		numberOfObjects++;
		yield;
	}
	Destroy(gameObject);
}
